summaryrefslogtreecommitdiffstats
path: root/slackware64/kde
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64/kde')
-rwxr-xr-xslackware64/kde/install-packages73
-rw-r--r--slackware64/kde/install.end14
-rw-r--r--slackware64/kde/maketag69
-rw-r--r--slackware64/kde/maketag.ez69
-rw-r--r--slackware64/kde/tagfile31
5 files changed, 256 insertions, 0 deletions
diff --git a/slackware64/kde/install-packages b/slackware64/kde/install-packages
new file mode 100755
index 000000000..3232fb680
--- /dev/null
+++ b/slackware64/kde/install-packages
@@ -0,0 +1,73 @@
+#!/bin/sh
+# Copyright 2002 Slackware Linux, Inc., Concord, CA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This is a simple script to install a package series from the command line.
+# If you're already running Slackware, you can just run this script to install
+# the packages.
+#
+# I originally got the idea for this tool because Slackware with both KDE and
+# GNOME doesn't fit on a single CD-ROM anymore, so I wanted to provide a quick
+# way to add a series later on with the same ease as the initial installation.
+#
+# To use this script, just run it as root in the current directory like this:
+#
+# ./install-packages
+#
+# Note that this script does not make any attempt to remove or upgrade existing
+# packages. If you want to upgrade an existing installation, you will be better
+# served using the pkgtools directly. Here's how to upgrade all the packages in
+# this series:
+#
+# upgradepkg *.t?z (upgrades already installed packages)
+# installpkg *.t?z (installs all packages, to make sure new ones are installed)
+#
+# If you upgrade a series like this, afterwards you might need to merge over any
+# required changes in the new config files, which will have the suffix .new.
+# These can be found like this:
+#
+# find / -name "*.new"
+#
+# OK, on with the show! Enjoy! :-)
+#
+# Patrick Volkerding <volkerdi@slackware.com>
+
+# Use the existing maketag script to provide a package selection menu:
+sh maketag
+
+# Quick bail if nothing was requested:
+if grep ADD /var/log/setup/tmp/SeTnewtag 1> /dev/null 2> /dev/null ; then
+ true
+else
+ rm -f /var/log/setup/tmp/SeTnewtag
+ exit
+fi
+
+# Install the selected packages:
+for PKG in *.t?z ; do
+ if [ ! "$ROOT" = "" ]; then
+ installpkg -root $ROOT -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ else
+ installpkg -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ fi
+done
+rm -f /var/log/setup/tmp/SeTnewtag
+echo
+echo "Done installing packages."
diff --git a/slackware64/kde/install.end b/slackware64/kde/install.end
new file mode 100644
index 000000000..67eb307dd
--- /dev/null
+++ b/slackware64/kde/install.end
@@ -0,0 +1,14 @@
+#SERIES_LAST_DIRECTORY
+
+This file must be present to signal to 'setup' that this is the last
+directory in this package series. It serves no other purpose, other than
+to make you curious enough to use rot13 to read the rest of it (_at your
+own risk!_ :)
+
+Sbe vasbezngvba nobhg trggvat "Obo" va lbhe yvsr, cyrnfr ivfvg:
+
+ Puhepu bs gur FhoTravhf
+ uggc://jjj.fhotravhf.pbz
+
+Qba'g fnl lbh jrer abg jnearq jura gur Kvfgf pbzr sbe lbh.
+
diff --git a/slackware64/kde/maketag b/slackware64/kde/maketag
new file mode 100644
index 000000000..674b04bf1
--- /dev/null
+++ b/slackware64/kde/maketag
@@ -0,0 +1,69 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES KDE" \
+--checklist "Please confirm the packages you wish to install \
+from series KDE. KDE is a network transparent desktop \
+environment that seeks to fill the need for an easy to use desktop \
+for Unix workstations, similar to the desktop environments found \
+under MacOS or Windows. Use the UP/DOWN keys to scroll through \
+the list, and the SPACE key to deselect any items you don't want \
+to install. Press ENTER when you are done." \
+22 72 9 \
+"amarok" "A media player for KDE" "on" \
+"guidance-power-manager" "KDE frontend for HAL's power features" "on" \
+"k3b" "CD/DVD burning app for KDE" "on" \
+"kaudiocreator" "CD ripper and audio encoder" "on" \
+"kdeaccessibility" "KDE accessibility utilities" "on" \
+"kdeadmin" "KDE system administration utilities" "on" \
+"kdeartwork" "Extra themes, sounds, wallpapers, and styles" "on" \
+"kdebase" "The K Desktop Environment base package" "on" \
+"kdebase-runtime" "The KDE base rumtime support package" "on" \
+"kdebase-workspace" "The KDE base workspace package" "on" \
+"kdebindings" "Optional KDE library bindings" "on" \
+"kdeedu" "KDE Edutainment programs" "on" \
+"kdegames" "A KDE games collection" "on" \
+"kdegraphics" "Graphic programs for KDE" "on" \
+"kdelibs" "Libraries required for KDE" "on" \
+"kdemultimedia" "Multimedia programs for KDE" "on" \
+"kdenetwork" "Networking programs for KDE" "on" \
+"kdepim" "Personal Information Management tools" "on" \
+"kdepimlibs" "KDE Personal Information Management libraries" "on" \
+"kdeplasma-addons" "Plasma addons for KDE" "on" \
+"kdesdk" "KDE software development kit" "on" \
+"kdetoys" "Toys for the KDE desktop" "on" \
+"kdeutils" "Utilities for KDE" "on" \
+"kdevelop" "KDE Application Development Environment" "on" \
+"kdevplatform" "Libraries used by kdevelop" "on" \
+"kdewebdev" "Quanta Plus web development environment" "on" \
+"koffice" "The KDE office productivity suite" "on" \
+"konq-plugins" "Plugins to extend Konqueror" "on" \
+"ktorrent" "BitTorrent program for KDE" "on" \
+"mplayerthumbs" "Use MPlayer for KDE video thumbnail support" "on" \
+"skanlite" "KDE scanning program" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+amarok guidance-power-manager k3b kaudiocreator kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepim kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils kdevelop kdevplatform kdewebdev koffice konq-plugins ktorrent mplayerthumbs skanlite \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+amarok guidance-power-manager k3b kaudiocreator kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepim kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils kdevelop kdevplatform kdewebdev koffice konq-plugins ktorrent mplayerthumbs skanlite \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/kde/maketag.ez b/slackware64/kde/maketag.ez
new file mode 100644
index 000000000..674b04bf1
--- /dev/null
+++ b/slackware64/kde/maketag.ez
@@ -0,0 +1,69 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES KDE" \
+--checklist "Please confirm the packages you wish to install \
+from series KDE. KDE is a network transparent desktop \
+environment that seeks to fill the need for an easy to use desktop \
+for Unix workstations, similar to the desktop environments found \
+under MacOS or Windows. Use the UP/DOWN keys to scroll through \
+the list, and the SPACE key to deselect any items you don't want \
+to install. Press ENTER when you are done." \
+22 72 9 \
+"amarok" "A media player for KDE" "on" \
+"guidance-power-manager" "KDE frontend for HAL's power features" "on" \
+"k3b" "CD/DVD burning app for KDE" "on" \
+"kaudiocreator" "CD ripper and audio encoder" "on" \
+"kdeaccessibility" "KDE accessibility utilities" "on" \
+"kdeadmin" "KDE system administration utilities" "on" \
+"kdeartwork" "Extra themes, sounds, wallpapers, and styles" "on" \
+"kdebase" "The K Desktop Environment base package" "on" \
+"kdebase-runtime" "The KDE base rumtime support package" "on" \
+"kdebase-workspace" "The KDE base workspace package" "on" \
+"kdebindings" "Optional KDE library bindings" "on" \
+"kdeedu" "KDE Edutainment programs" "on" \
+"kdegames" "A KDE games collection" "on" \
+"kdegraphics" "Graphic programs for KDE" "on" \
+"kdelibs" "Libraries required for KDE" "on" \
+"kdemultimedia" "Multimedia programs for KDE" "on" \
+"kdenetwork" "Networking programs for KDE" "on" \
+"kdepim" "Personal Information Management tools" "on" \
+"kdepimlibs" "KDE Personal Information Management libraries" "on" \
+"kdeplasma-addons" "Plasma addons for KDE" "on" \
+"kdesdk" "KDE software development kit" "on" \
+"kdetoys" "Toys for the KDE desktop" "on" \
+"kdeutils" "Utilities for KDE" "on" \
+"kdevelop" "KDE Application Development Environment" "on" \
+"kdevplatform" "Libraries used by kdevelop" "on" \
+"kdewebdev" "Quanta Plus web development environment" "on" \
+"koffice" "The KDE office productivity suite" "on" \
+"konq-plugins" "Plugins to extend Konqueror" "on" \
+"ktorrent" "BitTorrent program for KDE" "on" \
+"mplayerthumbs" "Use MPlayer for KDE video thumbnail support" "on" \
+"skanlite" "KDE scanning program" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+amarok guidance-power-manager k3b kaudiocreator kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepim kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils kdevelop kdevplatform kdewebdev koffice konq-plugins ktorrent mplayerthumbs skanlite \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+amarok guidance-power-manager k3b kaudiocreator kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepim kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils kdevelop kdevplatform kdewebdev koffice konq-plugins ktorrent mplayerthumbs skanlite \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/kde/tagfile b/slackware64/kde/tagfile
new file mode 100644
index 000000000..dab8651c6
--- /dev/null
+++ b/slackware64/kde/tagfile
@@ -0,0 +1,31 @@
+amarok:OPT
+guidance-power-manager:REC
+k3b:OPT
+kaudiocreator:REC
+kdeaccessibility:OPT
+kdeadmin:ADD
+kdeartwork:ADD
+kdebase:ADD
+kdebase-runtime:ADD
+kdebase-workspace:ADD
+kdebindings:OPT
+kdeedu:REC
+kdegames:REC
+kdegraphics:ADD
+kdelibs:ADD
+kdemultimedia:REC
+kdenetwork:REC
+kdepim:REC
+kdepimlibs:REC
+kdeplasma-addons:ADD
+kdesdk:OPT
+kdetoys:REC
+kdeutils:ADD
+kdevelop:OPT
+kdevplatform:OPT
+kdewebdev:OPT
+koffice:REC
+konq-plugins:REC
+ktorrent:REC
+mplayerthumbs:OPT
+skanlite:REC